Subject: Crystal Sale
From: "Ryan Dooley" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Wed, 3 Nov 2010 16:11:55 -0400

Mike,

I listened to the call from the sale in question and it was pretty much by
the book. She failed to mention payment options, but was able to get the
okay from the receptionist to send and did give her the invoice number.

Thanks.